# Uses of Class
org.apache.datasketches.sampling.EbppsItemsSketch

Packages that use EbppsItemsSketch
Package
Description
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.

## Uses of EbppsItemsSketch in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling that return EbppsItemsSketch
Modifier and Type
Method
Description
`static <T> EbppsItemsSketch<T>`
EbppsItemsSketch.`heapify(MemorySegment srcSeg, ArrayOfItemsSerDe<T> serDe)`
Returns a sketch instance of this class from the given srcSeg, which must be a MemorySegment representation of this sketch class.
Methods in org.apache.datasketches.sampling with parameters of type EbppsItemsSketch
Modifier and Type
Method
Description
`void`
EbppsItemsSketch.`merge(EbppsItemsSketch<T> other)`
Merges the provided sketch into the current one.